<?php
/**
 * Pre-Parse Post Plugin
 * Copyright © 2009 Ryan Gordon - NCAABBS Skunkworks Division
 *
 * Website: http://ncaabbs.com
 * License: GNU/GPL
 *
 */

function task_preparsepost($task)
{
	global $db, $mybb;

	@set_time_limit(0);
	
	$or = "";
	$where = "";
	
	if(intval($mybb->settings['preparserpost_replies']) > 0)
	{
		$where = "replies >= '".(intval($mybb->settings['preparserpost_replies']))."'";
		$or = " OR ";
	}
	
	if(intval($mybb->settings['preparserpost_days']) > 0)
	{
		$where .= "{$or}lastpost >= '".(time()-(60*60*24*(intval($mybb->settings['preparserpost_days']))))."'";
	}
	
	if(!$where)
	{
		return;
	}
	
	$tids = array(0);
	
	$query = $db->simple_select("threads", "tid", $where);
	while($thread = $db->fetch_array($query))
	{
		$tids[] = $thread['tid'];
	}
	
	if(count($tids) > 0)
	{
		$db->delete_query("parsedposts", "tid IN(".$db->escape_string(implode(",", $tids)).")");
	}
	
	add_task_log($task, "The Pre-Parse Posts task has been ran.");
}
?>